
package eu.dnetlib.dhp.oa.graph.dump.skgif.beans;

import java.io.Serializable;

/**
 * @author miriam.baglioni
 * @Date 04/03/24
 */
public class Couple implements Serializable {
	private String originalIdentifier;
	private String localIdentifier;

	public String getOriginalIdentifier() {
		return originalIdentifier;
	}

	public void setOriginalIdentifier(String originalIdentifier) {
		this.originalIdentifier = originalIdentifier;
	}

	public String getLocalIdentifier() {
		return localIdentifier;
	}

	public void setLocalIdentifier(String localIdentifier) {
		this.localIdentifier = localIdentifier;
	}

	public static Couple newInstance(String originalIdentifier, String localIdentifier) {
		Couple couple = new Couple();
		couple.originalIdentifier = originalIdentifier;
		couple.localIdentifier = localIdentifier;
		return couple;
	}
}
